Bug report #14521

Vector-->Geoprocessing Tools cause freeze

Added by Nick Richmond over 4 years ago. Updated over 4 years ago.

Status:Closed
Priority:Normal
Assignee:-
Category:Processing/QGIS
Affected QGIS version:2.14.0 Regression?:No
Operating System:Ubuntu Easy fix?:No
Pull Request or Patch supplied:No Resolution:
Crashes QGIS or corrupts data:No Copied to github as #:22494

Description

I can't use a single vector Geoprocessing Tool without freezing QGIS. This didn't happen before upgrading to QGIS 2.14.0. I've tried installing via ubuntugis-unstable and Ubuntu Software Center; both installs freeze the same way when attempting to use the vector Geoprocessing Tools, and none of the freezes have produced anything . The tools I've attempted to use the most are Buffer, Intersect, and Clip. Any insight would be most appreciated.

This is my first-ever post here. Please let me know what else to provide or how I should post issues differently in the future.

QGIS_Bug_Report (255 KB) Nick Richmond, 2016-03-17 11:13 AM

History

#1 Updated by Nick Richmond over 4 years ago

I meant to say, "none of the freezes have produced anything noteworthy or interesting in the Log Messages Panel."

#2 Updated by Maximilian Krambach over 4 years ago

Do you use the "geoprocessing" toolbox? Then it would be interesting which version of "processing" it is (Plugins-> manage and install plugins -> processing).

Possible outputs that could point to issues are running QGIS from console (which will be filled with QGIS and GDAL/ogr warnings and errors). Also, you could check "processing/history" for information.

#3 Updated by Nick Richmond over 4 years ago

Thanks for the prompt reply! I was using the "processing" toolbox, but I just uninstalled it and tried again. QGIS still freezes in the same manner as before, unfortunately.

When running QGIS from terminal, these are the warning messages I receive:

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]
Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]
Warning: QCss::Parser - Failed to load file "/style.qss"
QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: No such file or directory
Warning: QFileSystemWatcher: failed to add paths: /home/geodynamics/.qgis2//project_templates
Warning: QVariantMap DBusMenuExporterDBus::getProperties(int, const QStringList&) const: Condition failed: action
Warning: QVariantMap DBusMenuExporterDBus::getProperties(int, const QStringList&) const: Condition failed: action

...and when I run the "Convex Hull(s)" tool:
ERROR 1: Attempt to write non-polygon (LINESTRING) geometry to POLYGON type shapefile.

Does this help?

#4 Updated by Maximilian Krambach over 4 years ago

The processing plugin is still there, it's just a question if you use the builtin one or the "repository" one. I just tested with both (debian/QGIS 2.14), and I can run everything just fine.

It could be a plugin or some setting that's off. Try to temporarily disable both (renaming ~.qgis2/ and ~/config/QGIS/).
Else, it may be corrupt data; some confusion between packages (as you tried two different repositories. There may be a mixup somewhere in the dependencies).

#5 Updated by Alexander Bruy over 4 years ago

  • Category set to Processing/QGIS
  • Status changed from Open to Feedback

Not reproducible here.

#6 Updated by Nick Richmond over 4 years ago

  • Status changed from Feedback to Closed

After running updates this morning, the tools are once again functional.

Also available in: Atom PDF